Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageStencil Class Reference

`#include <vtkImageStencil.h>`

Inheritance diagram for vtkImageStencil:

[legend]
Collaboration diagram for vtkImageStencil:

[legend]
List of all members.

## Detailed Description

combine images via a cookie-cutter operation

Date:
  2002/12/11 14:26:22

Revision:
  1.7

vtkImageStencil will combine two images together using a stencil. The stencil should be provided in the form of a vtkImageStencilData,

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (92%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageStencil.h)`
  - .`cxx` (`/Imaging/vtkImageStencil.cxx)`

Tests:
  vtkImageStencil (Tests)

Definition at line 46 of file vtkImageStencil.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetStencil (vtkImageStencilData *stencil)
vtkImageStencilData * | GetStencil ()
virtual void | SetReverseStencil (int)
virtual void | ReverseStencilOn ()
virtual void | ReverseStencilOff ()
virtual int | GetReverseStencil ()
virtual void | SetBackgroundInput (vtkImageData *input)
vtkImageData * | GetBackgroundInput ()
void | SetBackgroundValue (float val)
float | GetBackgroundValue ()
virtual void | SetBackgroundColor (float, float, float, float)
virtual void | SetBackgroundColor (float[4])
virtual float * | GetBackgroundColor ()
virtual void | GetBackgroundColor (float &, float &, float &, float &)
virtual void | GetBackgroundColor (float[4])
## Static Public Methods
vtkImageStencil * | New ()
int | IsTypeOf (const char *type)
vtkImageStencil * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageStencil ()
| ~vtkImageStencil ()
void | ExecuteInformation ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
int | ReverseStencil
float | BackgroundColor [4]

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageStencil::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 50 of file vtkImageStencil.h.

## Constructor & Destructor Documentation

vtkImageStencil::vtkImageStencil | ( |  | ) | `[protected]`

vtkImageStencil::~vtkImageStencil | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageStencil* vtkImageStencil::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageStencil::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageStencil::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageStencil::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageStencil* vtkImageStencil::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageStencil::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageStencil::SetStencil | ( | vtkImageStencilData * | stencil | ) | `[virtual]`

| Specify the stencil to use. The stencil can be created from a vtkImplicitFunction or a vtkPolyData.

vtkImageStencilData* vtkImageStencil::GetStencil | ( |  | ) |

| Specify the stencil to use. The stencil can be created from a vtkImplicitFunction or a vtkPolyData.

virtual void vtkImageStencil::SetReverseStencil | ( | int |  | ) | `[virtual]`

| Reverse the stencil.

virtual void vtkImageStencil::ReverseStencilOn | ( |  | ) | `[virtual]`

| Reverse the stencil.

virtual void vtkImageStencil::ReverseStencilOff | ( |  | ) | `[virtual]`

| Reverse the stencil.

virtual int vtkImageStencil::GetReverseStencil | ( |  | ) | `[virtual]`

| Reverse the stencil.

virtual void vtkImageStencil::SetBackgroundInput | ( | vtkImageData * | input | ) | `[virtual]`

| NOTE: Not yet implemented, use SetBackgroundValue instead. Set the second input. This image will be used for the 'outside' of the stencil. If not set, the output voxels will be filled with BackgroundValue instead.

vtkImageData* vtkImageStencil::GetBackgroundInput | ( |  | ) |

| NOTE: Not yet implemented, use SetBackgroundValue instead. Set the second input. This image will be used for the 'outside' of the stencil. If not set, the output voxels will be filled with BackgroundValue instead.

void vtkImageStencil::SetBackgroundValue | ( | float | val | ) | `[inline]`

| Set the default output value to use when the second input is not set. Definition at line 78 of file vtkImageStencil.h.

float vtkImageStencil::GetBackgroundValue | ( |  | ) | `[inline]`

| Set the default output value to use when the second input is not set. Definition at line 80 of file vtkImageStencil.h.

virtual void vtkImageStencil::SetBackgroundColor | ( | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the default color to use when the second input is not set. This is like SetBackgroundValue, but for multi-component images.

virtual void vtkImageStencil::SetBackgroundColor | ( | float | [4] | ) | `[virtual]`

| Set the default color to use when the second input is not set. This is like SetBackgroundValue, but for multi-component images.

virtual float* vtkImageStencil::GetBackgroundColor | ( |  | ) | `[virtual]`

| Set the default color to use when the second input is not set. This is like SetBackgroundValue, but for multi-component images.

virtual void vtkImageStencil::GetBackgroundColor | ( | float & | ,
|  | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set the default color to use when the second input is not set. This is like SetBackgroundValue, but for multi-component images.

virtual void vtkImageStencil::GetBackgroundColor | ( | float | [4] | ) | `[virtual]`

| Set the default color to use when the second input is not set. This is like SetBackgroundValue, but for multi-component images.

void vtkImageStencil::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 95 of file vtkImageStencil.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageStencil::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageStencil::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageStencil::ReverseStencil`[protected]`

| Definition at line 102 of file vtkImageStencil.h.

float vtkImageStencil::BackgroundColor[4]`[protected]`

| Definition at line 103 of file vtkImageStencil.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageStencil.h